ShotTracker Developer

Unparalleled data set + realtime API = future of sports. Build with live tracking, stats, and broadcast-ready endpoints.

Event API

Base URL: https://api.shottracker.com

/v1/data/schedule/games

PUTUpdate Season Game Schedule

Create/update a list of games

Request body

{
  "league": "",
  "games": [
    {
      "id": "",
      "home_team_id": "",
      "visitor_team_id": "",
      "home_team_name": "",
      "visitor_team_name": "",
      "gender": "",
      "round_type": "",
      "type": "",
      "label": "",
      "scheduled_start_timestamp": 0,
      "season_type": "",
      "week_number": 0
    }
  ]
}

Responses

  • 204No Content
  • 403Forbidden
    {
      "status": 403,
      "message": "Restricted resource",
      "shottrackerRequestId": "f1e80480-e1d5-4684-a619-402984b5c9ba"
    }
  • 404Not Found
    {
      "status": 404,
      "message": "Team or league not found",
      "shottrackerRequestId": "f1e80480-e1d5-4684-a619-402984b5c9ba"
    }
  • 500Internal Server Error
    {
      "status": 500,
      "message": "<General System Error Message>",
      "shottrackerRequestId": "f1e80480-e1d5-4684-a619-402984b5c9ba"
    }